Bug 831680 - Prioritize keyfile over ifcfg-rh in Fedora rawhide
Prioritize keyfile over ifcfg-rh in Fedora rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 10:47 EDT by Pavel Šimerda (pavlix)
Modified: 2013-05-07 09:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-07 09:46:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to upgrade to 0.9.6.0 with plugins=keyfile,ifcfg-rh (2.10 KB, patch)
2012-08-17 11:58 EDT, Pavel Šimerda (pavlix)
no flags Details | Diff

  None (edit)
Description Pavel Šimerda (pavlix) 2012-06-13 10:47:48 EDT
Fedora 17 is out. Release parties are taking place. NetworkManager is getting support for bridging and bonding. IPv6 support is getting repaired.

I'm convinced that this is the best time to switch the default configuration for Fedora 18 fro ifcfg-rh to keyfile as the latter much better suits both current and new features of NetworkManager.
Comment 1 Pavel Šimerda (pavlix) 2012-07-30 15:37:39 EDT
Hi again,

please let me restate the request. I actually had nothing against backwards compatibility with ifcfg-rh. My original posting was a bit mistaken.

What I would actually like, is to prefer keyfile over ifcfg-rh. This would be done by having this in the NetworkManager.conf:

plugins=keyfile,ifcfg-rh

Keyfile is superior to ifcfg-rh in many ways and users could still make use
of backwards-complatible ifcfg plugin.
Comment 2 Dan Williams 2012-07-30 16:27:39 EDT
We still haven't figured out the whole network config file format debate, and I don't necessarily think that for Fedora, 'keyfile' is (or should) win that debate.  Yes, it's a lot more capable than ifcfg-rh, but there are other approaches as well, like netcf and whatever Lennart's proposal ends up as.  I don't want to make a chagne like this until we have a better agreement with all the stakeholders as to what the future network config file format for Fedora and RHEL should actually be.

(note that if keyfile *was* a proposed future format, we should really analyze it in detail and make sure all the keys are in the format we want them to be in, and that it's easily able to be modified in the future.  Stuff like static routes and addresses aren't very flexible at the moment, and we should change that)
Comment 3 Pavel Šimerda (pavlix) 2012-08-17 11:58:33 EDT
Created attachment 605218 [details]
A patch to upgrade to 0.9.6.0 with plugins=keyfile,ifcfg-rh

As anyone can change the configuration in /etc/NetworkManager/NetworkManager.conf, this change would make GUI-configured
connections all be saved in the same format.
Comment 4 Fedora End Of Life 2013-04-03 10:25:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Pavel Šimerda (pavlix) 2013-05-07 09:46:06 EDT
I'm no longer asking for this change. Feel free to reopen if interested.

Note You need to log in before you can comment on or make changes to this bug.